Package ru.bitel.bgbilling.kernel.event.events

# Class ActionBeforeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ActionEvent
ru.bitel.bgbilling.kernel.event.events.ActionBeforeEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

@Deprecated public class ActionBeforeEvent extends ActionEvent
Deprecated.
использовать dynaction/дин.код
Синхронное событие - перед действием.
Для любых действий (actions) биллинга с договорами или их сущностями возможно назначение универсального события до действия
Для того, чтобы назначить нужному действию нужного модуля необходимость генерирования события,
необходимо добавить в конфигурацию сервера строку следюущего вида:
action.event_<module>_<action>=before|after|both
Здесь <module> - это имя модуля, <action> - наименование действия. Имена модулей и соответсвующие имена действий можно увидеть
в XML-файлах в папке actions в директории биллинга. При этом, если указано значение before, то событие будет генерироваться только перед действием.
Если указано значение after, то только после. Если же both, то в обоих случаях.
Дополнительно в ActionBeforeEvent передается httpRequest (из которого можно получить все параметры переданные с клиента),
ActionBeforeEvent содержит методы, с помощью которых можно отменить выполнение акшена и\или задать сообщение выводимое в клиенте,
что фактически позволяет изменять логику выполнения любых действий (подробнее см. API документацию).
Вызывается перед выполнением действия executer - ом (до вызова акшена).
Унаследован от `ActionEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ActionBeforeEvent()`
  Deprecated.
  ``
  `ActionBeforeEvent(jakarta.servlet.http.HttpServletRequest request, String module, String action, int contractId, int userId)`
  Deprecated.
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Deprecated.
  Возвращает текст ошибки.
  Функция вызывается биллингом после обработки события.
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  Deprecated.
  Возвращает http реквест.
  `boolean`
  `isDoAction()`
  Deprecated.
  Возвращает нужно ли выполнять акшен.
  Если значение не изменялось то вернется true.
  `void`
  `setDoAction(boolean doAction)`
  Deprecated.
  Устанавливает нужно ли выполнять акшен.
  По умолчанию задано значение true.
  `void`
  `setError(String error, boolean doAction)`
  Deprecated.
  Устанавливает текст ошибки и необходимость выполнения акшена.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.events.ActionEvent

  `getAction, getModule, setAction, setModule`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionBeforeEvent

    protected ActionBeforeEvent()
    Deprecated.

  - ### ActionBeforeEvent

    public ActionBeforeEvent(jakarta.servlet.http.HttpServletRequest request, String module, String action, int contractId, int userId)
    Deprecated.
    Конструктор события.
    Parameters:
      `request` - - http реквест
      `module` - - название модуля
      `action` - - название акшена
      `contractId` - - код договора
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()
    Deprecated.
    Возвращает http реквест.
    Returns:
      request - http реквест

  - ### isDoAction

    public boolean isDoAction()
    Deprecated.
    Возвращает нужно ли выполнять акшен.
    Если значение не изменялось то вернется true.
    Returns:
      doAction - флаг
      true - нужно выполнять
      false - не нужно выполнять

  - ### setDoAction

    public void setDoAction(boolean doAction)
    Deprecated.
    Устанавливает нужно ли выполнять акшен.
    По умолчанию задано значение true.
    Parameters:
      `doAction` - - флаг
      true - нужно выполнять
      false - не нужно выполнять

  - ### getError

    public String getError()
    Deprecated.
    Возвращает текст ошибки.
    Функция вызывается биллингом после обработки события.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:
      error - текст ошибки

  - ### setError

    public void setError(String error, boolean doAction)
    Deprecated.
    Устанавливает текст ошибки и необходимость выполнения акшена.
    Parameters:
      `error` - - текст ошибки
      `doAction` - - флаг выполнения акшена